> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bey.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List Knowledge Files

> List available knowledge files.



## OpenAPI

````yaml /openapi.json get /v1/knowledge-files
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.bey.dev
security: []
paths:
  /v1/knowledge-files:
    get:
      tags:
        - Knowledge Files
      summary: List Knowledge Files
      description: List available knowledge files.
      operationId: list_knowledge_files_v1_knowledge_files_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 50
            exclusiveMinimum: 0
            description: Maximum number of objects to return.
            default: 10
            title: Limit
          description: Maximum number of objects to return.
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Cursor for pagination.
            title: Cursor
          description: Cursor for pagination.
      responses:
        '200':
          description: Paginated List of Knowledge Files
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/HasMorePage_KnowledgeFileResponse_'
                  - $ref: '#/components/schemas/NoMorePage_KnowledgeFileResponse_'
                title: Response List Knowledge Files V1 Knowledge Files Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HasMorePage_KnowledgeFileResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/KnowledgeFileResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: true
          title: Has More
          description: Whether there are more objects to fetch.
          default: true
        next_cursor:
          type: string
          title: Next Cursor
          description: The cursor for the next page of objects.
      type: object
      required:
        - data
        - next_cursor
      title: HasMorePage[KnowledgeFileResponse]
    NoMorePage_KnowledgeFileResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/KnowledgeFileResponse'
          type: array
          title: Data
          description: List of objects.
        has_more:
          type: boolean
          const: false
          title: Has More
          description: Whether there are more objects to fetch.
          default: false
      type: object
      required:
        - data
      title: NoMorePage[KnowledgeFileResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    KnowledgeFileResponse:
      oneOf:
        - $ref: '#/components/schemas/ToUploadKnowledgeFileResponse'
        - $ref: '#/components/schemas/AvailableKnowledgeFileResponse'
      discriminator:
        propertyName: status
        mapping:
          available:
            $ref: '#/components/schemas/AvailableKnowledgeFileResponse'
          to-upload:
            $ref: '#/components/schemas/ToUploadKnowledgeFileResponse'
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ToUploadKnowledgeFileResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the object in the database.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          examples:
            - Hitchhiker's Guide to the Galaxy
        format:
          $ref: '#/components/schemas/KnowledgeFileFormat'
        status:
          type: string
          const: to-upload
          title: Status
          default: to-upload
      type: object
      required:
        - id
        - name
        - format
      title: ToUploadKnowledgeFileResponse
      description: Response model for a knowledge file that is to be uploaded.
    AvailableKnowledgeFileResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the object in the database.
          examples:
            - 01234567-89ab-cdef-0123-456789abcdef
        name:
          type: string
          maxLength: 100
          minLength: 1
          title: Name
          examples:
            - Hitchhiker's Guide to the Galaxy
        format:
          $ref: '#/components/schemas/KnowledgeFileFormat'
        status:
          type: string
          const: available
          title: Status
          default: available
        text:
          type: string
          title: Text
      type: object
      required:
        - id
        - name
        - format
        - text
      title: AvailableKnowledgeFileResponse
      description: Response model for an available knowledge file.
    KnowledgeFileFormat:
      type: string
      enum:
        - text
        - pdf
      title: KnowledgeFileFormat
      description: Format of the knowledge file.
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      description: Your Beyond Presence API Key.
      in: header
      name: x-api-key

````